﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        //設定（※請修改）    
        string web_obj = "S1234567890"; //商家代號（可登入商家專區至「服務設定」中查詢「交貨便」的服務代碼）
        string TranPsw = "test1234"; //訂單編號（可登入商家專區至「密碼修改」處設定，此密碼非後台登入密碼）

        string OrderID = Request["OrderID"];
        string CargoFlag = Request["CargoFlag"];
        string StoreID = Request["StoreID"];
        string StoreName = Request["StoreName"];
        string ChkValue = getHashSha256(web + TranPsw + OrderID + CargoFlag + StoreID);//檢查碼（SHA256雜湊值）
        if (ChkValue != Request["ChkValue"]) {
            System.Web.HttpContext.Current.Response.Write("檢查碼錯誤");
            System.Web.HttpContext.Current.Response.End();
        }

        string CargoFlagName = "";
        switch (CargoFlag) {
            case "1":
                CargoFlagName = "統一超商";
                break;
            case "2":
                CargoFlagName = "全家超商";
                break;
            default:
                CargoFlagName = "錯誤";
                break;
        }

        //取貨門市選擇結果處理
        //可自行設計更新資料庫訂單狀態
        if (StoreID != "")
        {
            //取門市成功
        }
        else
        {
            //取門市失敗
        }

        //顯示結果（debug用）
        lb_OrderID.Text = OrderID;
        lb_CargoFlagName.Text = CargoFlagName;
        lb_StoreID.Text = StoreID;
        lb_StoreName.Text = StoreName;
    }

    //SHA256雜湊值
    public static string getHashSha256(string text)
    {
        byte[] bytes = Encoding.UTF8.GetBytes(text);
        System.Security.Cryptography.SHA256Managed hashstring = new System.Security.Cryptography.SHA256Managed();
        byte[] hash = hashstring.ComputeHash(bytes);
        string hashString = string.Empty;
        foreach (byte x in hash)
        {
            hashString += String.Format("{0:x2}", x);
        }
        return hashString;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <style type="text/css">
        .table {
            width: 600px;
            margin: auto;
            border: 1px solid #CCCCCC;
        }

        .tdright {
            width: 400px;
            text-align: left;
            border: 1px solid #CCCCCC;
        }

        .tdleft {
            width: 250px;
            text-align: right;
            border: 1px solid #CCCCCC;
        }

        .td1 {
            text-align: center;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table class="table">
                <tr>
                    <td colspan="2" class="td1">《超商取貨門市選擇回傳接收參數》</td>
                </tr>
                <tr>
                    <td class="tdleft">商家訂單編號：</td>
                    <td class="tdright">
                        <asp:Label ID="lb_OrderID" runat="server" Text="Label"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td class="tdleft">超商類別：</td>
                    <td class="tdright">
                        <asp:Label ID="lb_CargoFlagName" runat="server" Text="Label"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td class="tdleft">取貨門市店號：</td>
                    <td class="tdright">
                        <asp:Label ID="lb_StoreID" runat="server" Text="Label"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td class="tdleft">取貨門市店名：</td>
                    <td class="tdright">
                        <asp:Label ID="lb_StoreName" runat="server" Text="Label"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
