﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    //-------------------------------------------
    //  商家端交易結果接收程式demo（交貨便交易）
    //
    //  運作原理：Form POST Method(HTTPS)
    //  流程：紅陽系統->paid.aspx（本程式）
    //  參數值說明請參見技術文件
    //-------------------------------------------

    //SHA1雜湊值
    public static string GetSHA1(string value)
    {
        System.Security.Cryptography.SHA1 algorithm = System.Security.Cryptography.SHA1.Create();
        byte[] data = algorithm.ComputeHash(System.Text.Encoding.UTF8.GetBytes(value));
        string sh1 = "";
        for (int i = 0; i < data.Length; i++)
        {
            sh1 += data[i].ToString("x2").ToUpperInvariant();
        }
        return sh1;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        //設定（※請修改）
        string webno = "S1234567890"; //商家代號（交貨便）（可登入商家專區至「服務設定」中查詢交貨便服務的代碼）
        string TranPsw = "test1234"; //交易密碼（可登入商家專區至「密碼修改」處設定，此密碼非後台登入密碼）

        //接收回傳參數值
        string buysafeno = Request.Form["buysafeno"]; //紅陽交易編號
        string web = Request.Form["web"]; //商家代號
        string Td = Request.Form["Td"]; //商家訂單編號
        string MN = Request.Form["MN"]; //交易金額
        string note1 = HttpUtility.UrlDecode(Request.Form["note1"]); //備註1
        string note2 = HttpUtility.UrlDecode(Request.Form["note2"]); //備註2
        string SendType = Request.Form["SendType"]; //傳送方式，1:背景傳送
        string errcode = Request.Form["errcode"]; //交易回覆代碼
        string CargoNo = Request.Form["CargoNo"]; //交貨便代碼      
        string InvoiceNo = Request.Form["InvoiceNo"]; //發票號碼
        string ChkValue = Request.Form["ChkValue"]; //交易檢查碼（SHA1雜湊值）

        //檢查商家代號是否正確
        if (webno != web)
        {
            //資料不正確
        }
        //檢查交易檢查碼是否正確（SHA1雜湊值）
        else if (ChkValue == GetSHA1(webno + TranPsw + buysafeno + MN + errcode))
        {
            //交易結果處理
            //可自行設計更新資料庫訂單狀態
            if (errcode == "00")
            {
                //付款成功
            }
            else
            {
                //付款失敗
            }
        }
        else
        {
            //交易檢查碼錯誤
        }
    }  
</script>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>

</head>
<body>
    <form id="form1" runat="server">
        <div>
        </div>
    </form>
</body>
</html>
