<?php
//UTF-8編碼
header('Content-Type: text/html; charset=utf-8');

//設定（※請修改）
$merchantID = 'S1234567890'; //商家代號（可登入商家專區至「服務設定」中查詢「交貨便」的服務代碼）
$transPassword = 'abcd1234'; //交易密碼（可登入商家專區至「密碼修改」處設定，此密碼非後台登入密碼）

//回傳參數
$OrderID=$_POST['OrderID']; //商家訂單編號
$CargoFlag=$_POST['CargoFlag']; //超商類別
$StoreID=$_POST['StoreID']; //取貨門市店號
$StoreName=$_POST['StoreName']; //取貨門市店名

$ChkValue = getChkValue($merchantID . $transPassword . $OrderID . $CargoFlag . $StoreID); //檢查碼（SHA256雜湊值）
if ($ChkValue != strtolower($_POST['ChkValue'])) {
    echo '檢查碼錯誤';
    exit;
}

$CargoFlagName = ''; //超商類別中文名稱
switch ($CargoFlag) {
    case '1':
        $CargoFlagName = '統一超商';
        break;
    case '2':
        $CargoFlagName = '全家超商';
        break;
    default:
        $CargoFlagName = '錯誤';
        break;
}

/**
 *檢查碼（SHA256雜湊值）
 */
function getChkValue($string)
{
    return strtolower(hash('sha256', $string));
}
?>

商家訂單編號：<?php echo $OrderID; ?><br/>
超商類別：<?php echo $CargoFlagName; ?><br/>
取貨門市店號：<?php echo $StoreID; ?><br/>
取貨門市店名：<?php echo $StoreName; ?><br/>
