<?php
//UTF-8編碼
header('Content-Type: text/html; charset=utf-8');

//設定（※請修改）
$merchantID = 'S1234567890'; //商家代號（可登入商家專區至「服務設定」中查詢「交貨便」的服務代碼）
$transPassword = 'abcd1234'; //交易密碼（可登入商家專區至「密碼修改」處設定，此密碼非後台登入密碼）

$isProduction = false; //是否為正式平台（true為正式平台，false為測試平台）
$CargoFlag='2'; //超商類別（1：統一超商，2：全家超商）
$OrderID='ORD19278223'; //商家訂單編號（或由商家自行運用）
$ReturnURL='http(s)://your_path/receive.php'; //回傳網址
$ChkValue = getChkValue($merchantID . $transPassword . $OrderID . $CargoFlag . $ReturnURL); //檢查碼（SHA256雜湊值）

//系統參數（勿修改）
$storeSelectURL = ($isProduction) ? 'https://www.esafe.com.tw/Service/Store_Select.aspx' : 'https://test.esafe.com.tw/Service/Store_Select.aspx'; //超商選擇傳送網址

/**
 *檢查碼（SHA256雜湊值）
 */
function getChkValue($string)
{
    return strtolower(hash('sha256', $string));
}
?>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>紅陽科技 - 超商門市選擇 DEMO</title>
</head>
<body>
<form name="form1" action="<?php echo $storeSelectURL; ?>" method="POST">
    <div>
        <input type="hidden" name="CargoFlag" value="<?php echo $CargoFlag; ?>"/><!--超商類別-->
        <input type="hidden" name="web" value="<?php echo $merchantID; ?>"/><!--商家代碼-->
        <input type="hidden" name="OrderID" value="<?php echo $OrderID; ?>"/><!--商家訂單編號-->
        <input type="hidden" name="ReturnURL" value="<?php echo $ReturnURL; ?>"/><!--回傳網址-->
        <input type="hidden" name="ChkValue" value="<?php echo $ChkValue; ?>""/><!--檢查碼-->
        <input type="submit" name="button" id="button" value="送出"/>
    </div>
</form>
</body>
</html>