<?php
//UTF-8編碼
header('Content-Type: text/html; charset=utf-8');

//-------------------------------------------
//  商家端付款成功接收程式demo（超商取貨付款（交貨便）交易）
//
//  運作原理：Form POST Method(HTTPS)
//  付款流程：消費者付款完成->紅陽系統->paid.php（本程式）
//  參數值說明請參見技術文件
//-------------------------------------------

//設定（※請修改）
$merchantID = 'S1234567890'; //商家代號（超商取貨付款（交貨便））（可登入商家專區至「服務設定」中查詢sunship服務的代碼）
$transPassword = 'abcd1234'; //交易密碼（可登入商家專區至「密碼修改」處設定，此密碼非後台登入密碼）

//回傳參數值
$buysafeno = getPostData('buysafeno'); //紅陽交易編號
$web = getPostData('web'); //商家代號
if ($merchantID != $web) {
    exit('商家代號錯誤');
}
$UserNo = getPostData('UserNo'); //用戶編號
$Td = getPostData('Td'); //商家訂單編號
$MN = getPostData('MN'); //交易金額
$note1 = urldecode(getPostData('note1')); //備註1
$note2 = urldecode(getPostData('note2')); //備註2
$SendType = getPostData('SendType'); //傳送方式
$errcode = getPostData('errcode'); //交易回覆代碼
$errmsg = urldecode(getPostData('errmsg')); //錯誤訊息（交易成功為空字串）
$InvoiceNo = getPostData('InvoiceNo'); //發票號碼
$CargoNo = getPostData('CargoNo'); //交貨便代碼
$ChkValue = getPostData('ChkValue'); //交易檢查碼（SHA1雜湊值）

//自行設計更新資料庫訂單狀態
if (!empty($errcode) && $ChkValue == getChkValue($web . $transPassword . $buysafeno . $MN . $errcode)) {
    if ($errcode == '00') {
        //付款成功
    } else {
        //付款失敗
    }
    exit('0000');
} else {
    exit('交易檢查碼錯誤');
}

function getPostData($key)
{
    return array_key_exists($key, $_POST) ? $_POST[$key] : '';
}

/*
 * 檢查交易檢查碼是否正確（SHA1雜湊值）
 */
function getChkValue($string)
{
    return strtoupper(sha1($string));
}
?>